<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LAnnouncement StructType
 * @subpackage Structs
 */
class LAnnouncement extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The announcementFile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $announcementFile;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LAnnouncement
     * @uses LAnnouncement::setName()
     * @uses LAnnouncement::setDescription()
     * @uses LAnnouncement::setAnnouncementFile()
     * @uses LAnnouncement::setUuid()
     * @param string $name
     * @param string $description
     * @param string $announcementFile
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $announcementFile = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setAnnouncementFile($announcementFile)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAnnouncement
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAnnouncement
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get announcementFile value
     * @return string|null
     */
    public function getAnnouncementFile()
    {
        return $this->announcementFile;
    }
    /**
     * Set announcementFile value
     * @param string $announcementFile
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAnnouncement
     */
    public function setAnnouncementFile($announcementFile = null)
    {
        $this->announcementFile = $announcementFile;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAnnouncement
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
